# Добавка за NVDA за часовника и календара #

* Authors: Hrvoje Katić, Abdel and NVDA contributors
* Изтегляне на [стабилна версия][1]

* Съвместимост с NVDA: от 2019.3 и по-нови версии

Тази добавка за NVDA разширява възможностите за работа с часовника, алармата
за обратно отброяване и календара.

Можете да персонализирате как NVDA ще извежда с глас и брайл часа и датата,
вместо да използвате зададените за целта в Windows формати. Освен това
можете да получите информация за текущия ден и номера на седмицата от
текущата година, както и да зададете автоматично съобщаване на часа на
определен интервал от време. В добавката са вградени и функции за хронометър
и таймер с аларма, които ви позволяват да засичате времето за задачите си,
като копиране на файлове, инсталиране на програми или готвене.

Забележки:

* Ако инсталирате добавката като обновление, по време на процеса на
  инсталиране съветникът установява дали старата конфигурация е съвместима с
  новата и предлага да я коригирате преди да я инсталирате. Тогава ще трябва
  само да потвърдите със задействане на бутона "OK", че всичко е наред.
* В Windows 10 и по -нови версии можете да използвате приложението "Аларми и
  часовник" за управление на хронометъра и таймерите.

## Клавишни комбинации

* NVDA+F12: Съобщаване на текущия час.
* Двукратно бързо натискане на NVDA+F12: Съобщаване на текущата дата.
* Трикратно бързо натискане на NVDA+F12: Съобщаване на текущия ден, номера
  на седмицата, текущата година и оставащите дни преди края на годината
* NVDA+Shift+F12: Влизане в слоя за часовника

## Неприсвоени команди

Следните команди по подразбиране не са зададени. Ако искате да ги присвоите,
използвайте диалоговия прозорец "Жестове на въвеждане", за да добавите
персонализирани команди. За да направите това, отворете менюто на NVDA ->
Настройки -> Жестове на въвеждане. Разгънете категорията "Часовник", след
това намерете неприсвоени команди от списъка по -долу и изберете "Добави",
след което въведете жеста, който искате да използвате.

* Изминало и оставащо време преди следващата аларма. Двукратното бързо
  задействане на този жест ще анулира следващата аларма.
* Спира просвирването на звука от текущата аларма.
* Показване на диалоговия прозорец за планиране на аларми.

## Слоеви команди

За да използвате слоевите команди, натиснете NVDA+Shift+F12, последвано от
един от следните клавиши:

* S: Стартира, нулира или спира хронометъра
* R: Нулира хронометъра, без да го рестартира
* A: Съобщава оставащото и изминалото време преди следващата аларма
* T: Отваряне на диалоговия прозорец за планиране на аларми.
* C: Отмяна на следващата аларма
* Интервал: Изговаря текущия хронометър или таймера за обратно отброяване
* P: Ако дадена аларма е прекалено дълга, ви позволява да я спрете
* H: Списък на всички слоеви команди (Помощ)

## Настройка и начин на употреба

За да конфигурирате функциите на часовника, отворете менюто на NVDA ->
Настройки -> Опции и от категорията "Часовник" конфигурирайте следните
опции:

* Формат за показване на час и дата: Използвайте тези падащи списъци, за да
  конфигурирате как NVDA ще съобщава часа и датата, когато натиснете
  NVDA+F12 еднократно или двукратно.
* Интервал: Изберете интервала за съобщаване на часа от този падащ списък
  (изключено, на всеки 10 минути, 15 минути, 30 минути или на всеки час).
* Съобщаване на часа (активно, ако интервалът не е зададен на "Изключено"):
  Изберете между реч и звук, само звук или само реч.
* Звук на часовника (активно, ако интервалът не е зададен на "Изключено"):
  Изберете звука на часовника.
* Тихи часове (активно, ако интервалът не е зададен на "Изключено"):
  Поставете отметка в това поле, за да конфигурирате диапазона на тихите
  часове, в който не трябва да се извършва автоматично оповестяване на часа.
* Формат на часа за тихи часове (активно, ако е включен режима "Тихи
  часове"): Изберете как да се представят опциите за тихи часове (12-часов
  или 24-часов формат).
* Начален и краен час за тихите часове: Изберете диапазона в часове и минути
  за тихи часове от падащите списъци за часове и минути.

За да планирате аларми, отворете менюто на NVDA -> Инструменти -> Планиране
на аларми. Съдържанието на диалоговия прозорец включва:

* Продължителност на алармата в: Изберете продължителност на
  алармата/таймера между часове, минути и секунди.
* Продължителност: Въведете продължителността на алармата в посочената
  по-горе единица.
* Звук на алармата: Изберете звука на алармата, който да се възпроизвежда.
* Бутони "Спри" и "Пауза": Спиране или поставяне на пауза на дълъг алармен
  звук.

Задействайте бутона "OK" и съобщение ще ви информира за продължителността на
текущо избраната аларма.

[[!tag stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=clock
